> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transmit.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1credits

> Get comprehensive credit usage and balance information for your organization



## OpenAPI

````yaml https://api.transmit.dev/openapi.json get /v1/credits
openapi: 3.1.0
info:
  title: Transmit.dev API
  description: >-
    A powerful email API for transactional and marketing emails. Send emails
    with tracking, analytics, and webhook support.
  version: 1.0.3
servers:
  - url: https://api.transmit.dev
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Emails
    description: Email sending and management operations
  - name: SMS
    description: SMS sending and management operations with toll-free numbers
  - name: Analytics
    description: Performance analytics and metrics
  - name: Billing
    description: Credit balance and usage information
  - name: Contacts
    description: Contact management operations
  - name: Webhooks
    description: Webhook configuration and testing
paths:
  /v1/credits:
    get:
      tags:
        - Billing
      description: >-
        Get comprehensive credit usage and balance information for your
        organization
      operationId: getCredits
      responses:
        '200':
          description: Credits information retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  balance:
                    type: number
                    description: Current credit balance
                  monthly_usage:
                    type: number
                    description: Credits consumed this month
                  total_consumed:
                    type: number
                    description: Credits consumed across the full ledger history
                  email_consumed:
                    type: number
                    description: >-
                      Credits consumed by email sends across the full ledger
                      history
                  sms_consumed:
                    type: number
                    description: >-
                      Credits consumed by SMS sends across the full ledger
                      history
                  hourly_limit:
                    type: number
                    description: Hourly sending limit
                  daily_limit:
                    type: number
                    description: Daily sending limit
                  monthly_limit:
                    type: number
                    description: Monthly sending limit
                  current_hour_usage:
                    type: number
                    description: Credits used in current hour
                  current_day_usage:
                    type: number
                    description: Credits used today
                  is_paid:
                    type: boolean
                    description: Whether organization is on paid plan
                  hourly_reset_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    description: Next hourly limit reset time
                  daily_reset_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    description: Next daily limit reset time
                  monthly_reset_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    description: Next monthly limit reset time
                required:
                  - balance
                  - monthly_usage
                  - total_consumed
                  - email_consumed
                  - sms_consumed
                  - hourly_limit
                  - daily_limit
                  - monthly_limit
                  - current_hour_usage
                  - current_day_usage
                  - is_paid
                  - hourly_reset_at
                  - daily_reset_at
                  - monthly_reset_at
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Error code
                  message:
                    type: string
                    description: Error message
                  statusCode:
                    type: number
                    description: HTTP status code
                  details:
                    description: Additional error details
                required:
                  - code
                  - message
                  - statusCode
        '403':
          description: Insufficient permissions - requires billing:read
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Error code
                  message:
                    type: string
                    description: Error message
                  statusCode:
                    type: number
                    description: HTTP status code
                  details:
                    description: Additional error details
                required:
                  - code
                  - message
                  - statusCode
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Enter your API key with 'tx_' prefix. Get your API key from the
        dashboard.

````